%global _empty_manifest_terminate_build 0
Name:		python-google-auth
Version:	2.22.0
Release:	1
Summary:	Google Authentication Library
License:	Apache-2.0
URL:		https://github.com/googleapis/google-auth-library-python
Source0:	https://files.pythonhosted.org/packages/e6/76/2217d47be6a03dfd5f6bfe7432f87a5aa5ab6d85525a4dc546df9895f053/google-auth-2.22.0.tar.gz	
BuildArch:	noarch

Requires:	python3-cachetools
Requires:	python3-pyasn1-modules
Requires:	python3-six
Requires:	python3-rsa
Requires:	python3-aiohttp
Requires:	python3-enum34
Requires:	python3-requests
Requires:	python3-cryptography
Requires:	python3-pyopenssl
Requires:	python3-pyu2f

%description
This library simplifies using Google's various server-to-server authentication
mechanisms to access Google APIs.

%package -n python3-google-auth
Summary:	Google Authentication Library
Provides:	python-google-auth = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-google-auth
This library simplifies using Google's various server-to-server authentication
mechanisms to access Google APIs.

%package help
Summary:	Development documents and examples for google-auth
Provides:	python3-google-auth-doc
%description help
This library simplifies using Google's various server-to-server authentication
mechanisms to access Google APIs.

%prep
%autosetup -n google-auth-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-google-auth -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jul 18 2023 sunhui <sunhui@kylinos.cn> - 2.22.0-1
- Update package to version 2.22.0

* Thu Jul 06 2023 chenzixuan <chenzixuan@kylinos.cn> - 2.21.0-1
- Update package to version 2.21.0

* Tue May 16 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 2.18.0-1
- Update package to version 2.18.0

* Fri Apr 21 2023 wubijie <wubijie@kylinos.cn> - 2.17.3-1
- Update package to version 2.17.3

* Wed Apr 12 2023 wubijie <wubijie@kylinos.cn> - 2.17.2-1
- Update package to version 2.17.2

* Thu Apr 6 2023 wubijie <wubijie@kylinos.cn> - 2.17.1-1
- Update package to version 2.17.1

* Wed Mar 22 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 2.16.2-1
- Update package to version 2.16.2

* Thu Dec 15 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 2.15.0-1
- Update package to version 2.15.0

* Wed Nov 23 2022 liqiuyu <liqiuyu@kylinos.cn> - 2.14.1-1
- Update package to version 2.14.1

* Fri Nov 04 2022 liqiuyu <liqiuyu@kylinos.cn> - 2.14.0-1
- Upgrade package to version 2.14.0

* Thu Jul 28 2022 liqiuyu <liqiuyu@kylinos.cn> - 2.9.1-1
- Upgrade to 2.9.1

* Fri Jun 24 2022 jiangxinyu <jiangxinyu@kylinos.cn> - 2.8.0-1
- Upgrade to 2.8.0

* Fri May 20 2022 liukuo <liukuo@kylinos.cn> - 1.22.1-2
- License compliance rectification

* Fri Oct 09 2020 Python_Bot <Python_Bot@openeuler.org> - 1.22.1-1
- Package Spec generated

